> For the complete documentation index, see [llms.txt](https://docs.geeknums.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geeknums.io/globalnyi-poisk-operatora-svyazi.md).

# Глобальный поиск оператора связи

Глобальный поиск оператора связи: миллиарды записей, своевременные обновления и высокая точность.

> Пример:

```bash
curl --location --request POST 'https://api.checknumber.ai/v1/phone' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-API-Key: AbcdEfgh' \--data-urlencode 'number=628138800001&country=ID'
```

> Пример ответа для корректного запроса

```json
{  "status": "ok",  "message": {    "country_code": 62,    "national_number": 8138800001,    "is_valid_number": true,    "number_type": "MOBILE",    "e164": "+628138800001",    "region_code": "ID",    "location": {      "en": ""    },    "time_zones": ["Asia/Jakarta"],    "carrier": {      "en": "AXIS"    }  }}
```

> Пример ответа для запроса с ошибкой

```json
{  "status": "FAIL",  "message": "The phone number supplied is not a number."}
```

## HTTP-запрос

`POST https://api.checknumber.ai/v1/phone`

## Параметры запроса

| Параметр  | Описание                                           |
| --------- | -------------------------------------------------- |
| `number`  | `string`, номер телефона                           |
| `country` | `string`, код региона, например `ID` для Индонезии |

## Коды состояния

| Статус | Описание                                             |
| ------ | ---------------------------------------------------- |
| `OK`   | `free`, успешно                                      |
| `FAIL` | `free`, ошибка; поле `message` содержит текст ошибки |

## Описание полей номера телефона

| Поле              | Описание                                 |
| ----------------- | ---------------------------------------- |
| `country_code`    | Код страны, например `62` для Индонезии  |
| `national_number` | Национальный номер                       |
| `is_valid_number` | Действителен ли номер                    |
| `number_type`     | Тип номера: `MOBILE` или `FIXED_LINE`    |
| `e164`            | Номер в формате E.164                    |
| `region_code`     | Код региона, например `ID` для Индонезии |
| `location`        | Местоположение, *многоязычное*           |
| `time_zones`      | Часовые пояса                            |
| `carrier`         | Оператор связи, *многоязычное поле*      |

## Описание типов номеров телефонов

| Тип                    | Описание                                                                                             |
| ---------------------- | ---------------------------------------------------------------------------------------------------- |
| `MOBILE`               | Мобильный телефон                                                                                    |
| `FIXED_LINE`           | Стационарный телефон                                                                                 |
| `FIXED_LINE_OR_MOBILE` | Мобильный или стационарный телефон; *в некоторых странах определить тип только по номеру невозможно* |
| `SHARED_COST`          | [Услуга с разделением стоимости](http://en.wikipedia.org/wiki/Shared_Cost_Service)                   |
| `VOIP`                 | VoIP                                                                                                 |
| `PERSONAL_NUMBER`      | [Персональный номер](http://en.wikipedia.org/wiki/Personal_Numbers)                                  |
| `UNKNOWN`              | Неизвестно                                                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geeknums.io/globalnyi-poisk-operatora-svyazi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
